//
//  HITTransactionDetails.h
//  HITModule
//
//  Created by Developer on 20/06/16.
//  Copyright © 2016 Payment Express. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface HITTransactionDetails : NSObject

@property (nonnull, strong) NSString *userName;
@property (nonnull, strong) NSString *key;
@property (nonnull, strong) NSString *stationId;
@property (nonnull, strong) NSDecimalNumber *amount;
@property (nonnull, strong) NSString *currencyCode;
@property (nonnull, strong) NSString *txnRef;
@property (nonnull, strong) NSString *dpsTxnRef;
@property (nonnull, strong) NSString *deviceId;
@property (nonnull, strong) NSString *posName;
@property (nullable) NSString *posVersion;
@property (nonnull, strong) NSString *vendorId;
@property (nullable) NSString *merchantRef;
@property (nullable) NSString *urlSuccess;
@property (nullable) NSString *urlFail;
@property (nonatomic, assign) BOOL skipSignatureVerification;

@end
